ErrorHandler Class Reference

Class that controls the handling of errors. More...

`#include <ErrorHandler.h>`

## Public Types

enum | HandlingType { EXCEPTION, ABORT, RETURN }
| This specifies how this class should respond to errors. More...

## Public Member Functions

| ErrorHandler ()
| Constructor.
| ~ErrorHandler ()
| Destructor.

## Static Public Member Functions

static void | handleError (const char *message, HandlingType handlingType=EXCEPTION)
| Handle an error based on the error handling type.

## Detailed Description

Class that controls the handling of errors.

Definition at line 24 of file ErrorHandler.h.

## Member Enumeration Documentation

## HandlingType

enum ErrorHandler::HandlingType

This specifies how this class should respond to errors.

Enumerator
EXCEPTION | throw an exception for the error
ABORT | exit the program on the error
RETURN | just return failure on the error

Definition at line 29 of file ErrorHandler.h.

{EXCEPTION, ///< throw an exception for the error
ABORT, ///< exit the program on the error
RETURN ///< just return failure on the error
};

The documentation for this class was generated from the following files:

- general/ErrorHandler.h
- general/ErrorHandler.cpp

ErrorHandler::RETURN
just return failure on the error
Definition: ErrorHandler.h:31
ErrorHandler::EXCEPTION
throw an exception for the error
Definition: ErrorHandler.h:29
ErrorHandler::ABORT
exit the program on the error
Definition: ErrorHandler.h:30